extends "res://scenes/microgames/microgame_window.gd"


## A simple microgame that you win by closing the window


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	# Choose a random ad
	var all_ads := $"All ads"
	var sprite := all_ads.get_children().pick_random() as Sprite2D
	sprite.centered = false
	sprite.reparent(self)
	
	# Stretch the funny image to fit in the window
	var window_size = get_viewport().size
	## Scale!?
	sprite.scale = Vector2(
		float(window_size.x) / float(sprite.texture.get_width()), 
		float(window_size.y) / float(sprite.texture.get_height())
	)


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass


func _on_close_requested() -> void:
	super()
	print("Hmm perchance")
	win.emit(self)


func _on_texture_button_pressed() -> void:
	OS.shell_open("https://www.youtube.com/watch?v=dQw4w9WgXcQ")
